## org.apache.axis.utils.cache
Class JavaMethod

    java.lang.Object
      org.apache.axis.utils.cache.JavaMethod

public class JavaMethod
extends java.lang.Object

A simple cache of previously loaded methods

Author:
  Sam Ruby <rubys@us.ibm.com>

Constructor Summary
`JavaMethod(java.lang.Class jc, java.lang.String name)` Create a cache entry for this java.lang.Class

Method Summary
`java.lang.reflect.Method[]` `getMethod()` Lookup a method based on name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaMethod

    public JavaMethod(java.lang.Class jc,
                      java.lang.String name)

  Create a cache entry for this java.lang.Class

Parameters:
  `jc` - java.lang.Class which will be searched for methods
  `name` - name of the method

Method Detail

### getMethod

    public java.lang.reflect.Method[] getMethod()

  Lookup a method based on name. This method returns an array just in case there is more than one.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.